DKPDoor Knock Pro Docs
Appointments

Show an appointment

GET
/v1/appointments/{id}

Authorization

X-Api-Key<token>

Company API key (format: dkp_...). Required on every request.

In: header

AuthorizationRequiredBearer <token>

In: header

Path Parameters

idRequiredinteger
curl -X GET "https://app.doorknockpro.com/api/v1/appointments/0" \
  -H "X-Api-Key: <token>" \
  -H "Authorization: Bearer <token>"

OK

{
  "data": {
    "id": 0,
    "lead_id": 0,
    "title": "string",
    "notes": "string",
    "status": "string",
    "duration_minutes": 0,
    "reminder_sent": true,
    "appointment_date": "2019-08-24T14:15:22Z",
    "appointment_time": "string",
    "created_by": 0,
    "assigned_to": 0,
    "created_at": "2019-08-24T14:15:22Z",
    "updated_at": "2019-08-24T14:15:22Z"
  }
}